# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name	digikam-doc
%define version 0.7.4
%define release 1.2006mcnl

Summary: 		Digikam Documentation package
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		%{name}-%{version}.tar.bz2
Group: 			Graphics
License: 		GPL
Vendor:         	Mandrivaclub.nl
Packager:       	Marco Meijer <marco@mandrivaclub.nl>
URL: 			http://digikam.sourceforge.net/
Requires: 		digikam

BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

%description

This package contains the Digikam documentation

%package -n	%{name}-pt_BR
Summary:	Brazilian-Portuguese documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-pt_BR
Brazilian-Portuguese documentation for digikam.

%package -n	%{name}-pt
Summary:	Portuguese documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-pt
Portuguese documentation for digikam.

%package -n	%{name}-it
Summary:	Italian documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-it
Italian documentation for digikam.

%package -n	%{name}-et
Summary:	Estonian documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-et
Estonian documentation for digikam.

%package -n	%{name}-sv
Summary:	Swedish documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-sv
Swedish documentation for digikam.

%package -n	%{name}-nl
Summary:	Danish documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-nl
Danish documentation for digikam.

%package -n	%{name}-da
Summary:	Dutch documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-da
Dutch documentation for digikam.

%package -n	%{name}-en
Summary:	English documentation for digikam.
Group:		System/Internationalization
BuildArch: 	noarch
Requires: 	digikam

%description -n	%{name}-en
English documentation for digikam.

%prep 

%setup -q -n %{name}-%{version}

rm -rf "$RPM_BUILD_ROOT"

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export WANT_AUTOCONF_2_5=1

#make -f Makefile.cvs
make -f admin/Makefile.common

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib} \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir

%make

%install
make DESTDIR=%buildroot install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-pt_BR
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/pt_BR

%files -n %{name}-pt
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/pt

%files -n %{name}-it
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/it

%files -n %{name}-et
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/et

%files -n %{name}-sv
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/sv

%files -n %{name}-nl
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/nl

%files -n %{name}-da
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/da

%files -n %{name}-en
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/doc/HTML/en

%changelog

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl>
- new version 0.7.4 
